babeltrace (1.5.11-4build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:13:36 +0000

babeltrace (1.5.11-4build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:50:02 +0000

babeltrace (1.5.11-4build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:57:39 +0100

babeltrace (1.5.11-4) unstable; urgency=medium

  * [db824bb] Add python3-setuptools build-depends (Closes: #1080558)

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 09 Sep 2024 14:17:17 -0400

babeltrace (1.5.11-3) unstable; urgency=medium

  * [d8f26f8] Don't delete bison files on distclean (Closes: #1049822)
  * [c3567d8] Use execute_after_ to clean python files
  * [1ca60d2] Bump standard to 4.6.2, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 17 Oct 2023 15:43:03 -0400

babeltrace (1.5.11-2) unstable; urgency=medium

  * [9b783d2] Clean python files (Closes: #1043700)
  * [9e260da] Remove libbabeltrace-ctf1 transitionnal package (Closes: #1032634)
  * [b1a6aca] Remove libbabeltrace-ctf-dev transitionnal package (Closes: #1032633)
  * [b1e489d] Update upstream signing key

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 14 Aug 2023 11:49:17 -0400

babeltrace (1.5.11-1) unstable; urgency=medium

  * [84c2292] New upstream version 1.5.11
  * [6344803] Drop patches merged upstream

 -- Michael Jeanson <mjeanson@debian.org>  Wed, 02 Nov 2022 11:48:32 -0400

babeltrace (1.5.8-3) unstable; urgency=medium

  * [d06a2f0] Update Salsa CI configuration
  * [8d0c59c] Fix popt use after free (Closes: #1022419)
  * [577d3d3] Migrate to debhelper 13
  * [b689c6f] d/control: Drop X-Python3-Version

 -- Michael Jeanson <mjeanson@debian.org>  Sun, 30 Oct 2022 14:56:36 -0400

babeltrace (1.5.8-2) unstable; urgency=medium

  * [dd92c82] Add support for python 3.10 (Closes: #1002390)
  * [5ccdfe4] Move to debhelper 12
  * [55baa0e] Bump watch file to version 4
  * [62bb766] Remove 'Homepage' from upstream metadata
  * [1a6eaf3] Add lintian overrides for tests artifacts

 -- Michael Jeanson <mjeanson@debian.org>  Sat, 22 Jan 2022 11:14:17 -0500

babeltrace (1.5.8-1) unstable; urgency=medium

  * [68134b2] d/watch: restrict this package to the 1.x series
  * [f3450d9] New upstream version 1.5.8
  * [d3be500] d/control: Set Rules-Requires-Root to no
  * [d51cdba] Add upstream metadata file
  * [cd105e9] Bump standard to 4.5.0, no changes necessary

 -- Michael Jeanson <mjeanson@debian.org>  Thu, 06 Feb 2020 11:04:49 -0500

babeltrace (1.5.7-2) unstable; urgency=medium

  * [1062de0] Add build dependency on dh-python (Closes: #944933)

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 18 Nov 2019 15:51:11 -0500

babeltrace (1.5.7-1) unstable; urgency=medium

  * [bb5426d] Add Salsa CI configuration
  * [1af32cb] New upstream version 1.5.7
  * [dfd1b39] Update symbols for 1.5.7
  * [26148af] Bump debhelper compat to 10
  * [00e6858] Bump standards version to 4.4.0
  * [1e88433] Bump ctf symbols depends to post merge version (Closes: #931147)

 -- Michael Jeanson <mjeanson@debian.org>  Fri, 12 Jul 2019 15:49:24 -0400

babeltrace (1.5.6-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * [8be51d5] Remove unnecessary X-Python{,3}-Version field in debian/control.

  [ Michael Jeanson ]
  * [55f7b4a] Force shlibs depends on >=1.5.3-2 (Closes: #910577)
  * [9ba4f13] Add Build-Depends-Package to symbols file
  * [d96442e] Bump standards version to 4.2.1

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 11 Dec 2018 16:52:03 -0500

babeltrace (1.5.6-1) unstable; urgency=medium

  * [6ebf331] New upstream version 1.5.6
  * [824703a] Bump standard to 4.1.4, no changes necessary
  * [20d7f24] Use salsa canonical uri in VCS-Browser

 -- Michael Jeanson <mjeanson@debian.org>  Tue, 03 Jul 2018 18:02:13 -0400

babeltrace (1.5.5-1) unstable; urgency=medium

  * [d159cca] Version the transitionnal depends (Closes: #890670)
  * [5e18412] New upstream version 1.5.5
  * [095504e] Bump standard to 4.1.3, no changes necessary
  * [fcefc93] Mark libbabeltrace-dev 'Multi-Arch: same'

 -- Michael Jeanson <mjeanson@debian.org>  Mon, 26 Mar 2018 17:24:59 -0400

babeltrace (1.5.4-1) unstable; urgency=medium

  * [d7747bc] Switched my uploader email to @debian.org
  * [a2037ba] New upstream version 1.5.4
  * [153912f] Update symbols for 1.5.4
  * [33d7b01] Moved VCS to salsa.debian.org
  * [559a42a] Use secure url for homepage

 -- Michael Jeanson <mjeanson@debian.org>  Sat, 03 Feb 2018 11:07:04 -0500

babeltrace (1.5.3-4) unstable; urgency=medium

  * [bc6b49b] Add transitional ctf packages (Closes: #879116)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Thu, 19 Oct 2017 15:52:28 -0400

babeltrace (1.5.3-3) unstable; urgency=medium

  * [c0ecf19] Add versioned provides for ctf (Closes: #879088)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Thu, 19 Oct 2017 10:45:25 -0400

babeltrace (1.5.3-2) unstable; urgency=medium

  * [a5b4bb1] Merge libbabeltrace-ctf1 into libbabeltrace1
  * [13d8932] Changed deprecated extra priority to optional
  * [fa19188] Use https url in watch file
  * [f5ea759] Set python section for python3-babeltrace
  * [cae5b76] Bump standards version to 4.1.1

 -- Michael Jeanson <mjeanson@ubuntu.com>  Wed, 18 Oct 2017 15:56:22 -0400

babeltrace (1.5.3-1) unstable; urgency=medium

  * [ac63ca0] Do not consider rc versions in watch file
  * [cd63c5f] Move to DEP-14 branch naming
  * [60f347a] New upstream version 1.5.3
  * [76c1fb4] Remove python install hack fixed upstream
  * [dc2939b] Bump standard to 4.0.0

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 07 Aug 2017 16:22:31 -0400

babeltrace (1.5.2-1) unstable; urgency=medium

  * [7bb1102] New upstream version 1.5.2
  * [f524d13] Update symbols for 1.5.2

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 21 Feb 2017 17:16:39 -0500

babeltrace (1.5.1-1) unstable; urgency=medium

  * [9a98181] New upstream version 1.5.1

 -- Michael Jeanson <mjeanson@ubuntu.com>  Fri, 06 Jan 2017 17:02:27 -0500

babeltrace (1.5.0-1) unstable; urgency=medium

  * [a71d768] New upstream version 1.5.0
  * [26432e6] Update symbols for 1.5.0

 -- Michael Jeanson <mjeanson@ubuntu.com>  Tue, 29 Nov 2016 17:45:19 -0500

babeltrace (1.5.0~rc1-3) unstable; urgency=medium

  * [14b570a] Fix move of includes (Closes: #842064)

 -- Michael Jeanson <mjeanson@ubuntu.com>  Thu, 27 Oct 2016 17:21:08 -0400

babeltrace (1.5.0~rc1-2) unstable; urgency=medium

  * [6751e50] Fix includes for libbabeltrace-ctf-dev

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 24 Oct 2016 16:26:46 -0400

babeltrace (1.5.0~rc1-1) unstable; urgency=medium

  * [aae4124] New upstream version 1.5.0~rc1
  * [a8b027f] Update description of python3-babeltrace
  * [f718eef] Update symbols for 1.5.0~rc1
  * [e5c2920] Use uversionmangle in watch file

 -- Michael Jeanson <mjeanson@ubuntu.com>  Mon, 24 Oct 2016 14:10:34 -0400

babeltrace (1.4.0-3) unstable; urgency=medium

  * [21e296d] Update patch to fix hurd build

 -- Michael Jeanson <mjeanson@ubuntu.com>  Fri, 08 Jul 2016 11:34:21 -0400

babeltrace (1.4.0-2) unstable; urgency=medium

  * [bc07143] Add patch to fix hurd build
  * [bb5467a] Add Michael Jeanson as uploader

 -- Michael Jeanson <mjeanson@ubuntu.com>  Fri, 08 Jul 2016 05:46:43 -0400

babeltrace (1.4.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [fa3c097] New upstream version 1.4.0
  * [f1d8c38] Add libdw-dev and libelf-dev to builddeps
  * [f032bb0] Bump standard to 0.9.8, no changes necessary
  * [b7011b4] Update symbols for 1.4.0

 -- Jon Bernard <jbernard@debian.org>  Wed, 08 Jun 2016 17:39:56 +0000

babeltrace (1.3.2-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [25bdeb8] Add pgpsigurlmangle to watch file
  * [8e0f35a] New upstream version 1.3.2

  [ Jon Bernard ]
  * [42a875c] Bump standards version to 3.9.7, no changes necessary
  * [a027704] Update vcs fields to use secure uri

 -- Jon Bernard <jbernard@debian.org>  Mon, 29 Feb 2016 21:53:16 -0500

babeltrace (1.3.1-1) unstable; urgency=medium

  * [b91f047] Imported Upstream version 1.3.1
  * [0fec50f] Remove local patch, included upstream

 -- Jon Bernard <jbernard@debian.org>  Fri, 13 Nov 2015 13:12:02 +0000

babeltrace (1.3.0-1) unstable; urgency=medium

  [ Michael Jeanson ]
  * [82bdf07] New upstream version 1.3.0
  * [4cc8239] Add include ctf-scanner-symbols.h to prefix yy_* symbols patch

 -- Jon Bernard <jbernard@debian.org>  Sat, 24 Oct 2015 19:43:04 +0000

babeltrace (1.2.4-3) unstable; urgency=medium

  [ Michael Jeanson ]
  * [3d869d3] Fix python install dir (Closes: #800122)

 -- Jon Bernard <jbernard@debian.org>  Tue, 29 Sep 2015 19:15:31 +0000

babeltrace (1.2.4-2) unstable; urgency=medium

  [ Michael Jeanson ]
  * [b4ce903] Build on multiple python3 versions
  * [c4a68e6] Bump standards version, no changes necessary
  * [35aa7e9] Fix lintian license issues

 -- Jon Bernard <jbernard@debian.org>  Thu, 24 Sep 2015 19:55:06 +0000

babeltrace (1.2.4-1) unstable; urgency=medium

  * [0af8a10] New upstream version 1.2.4

 -- Jon Bernard <jbernard@debian.org>  Tue, 18 Nov 2014 19:51:48 +0000

babeltrace (1.2.3-2) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * [e475ba5] Enable build of the python3 bindings (Closes: #749478)

  [ Jon Bernard ]
  * [0dbc585] Remove unnecessary fields from python3-babeltrace
  * [3dd4ec1] Fix typo in python3-babeltrace description
  * [d3671a8] Fine tune python3-babeltrace file inclusion

 -- Jon Bernard <jbernard@debian.org>  Thu, 02 Oct 2014 16:41:15 -0400

babeltrace (1.2.3-1) unstable; urgency=medium

  * [9ddff44] New upstream version 1.2.3 (Closes: #757722)
  * [9be6ac3] Remove debian-specific patches, included upstream

 -- Jon Bernard <jbernard@debian.org>  Tue, 23 Sep 2014 15:25:24 -0400

babeltrace (1.2.2-3) unstable; urgency=medium

  * [c12a8ae] Revert "Remove sparc from supported architectures"
    (Closes: #760828)

 -- Jon Bernard <jbernard@debian.org>  Tue, 09 Sep 2014 10:51:43 -0400

babeltrace (1.2.2-2) unstable; urgency=medium

  * [7eab87a] Remove sparc from supported architectures
  * [33445ff] Add patch to fix FreeBSD build failures (Closes: #751337)

 -- Jon Bernard <jbernard@debian.org>  Thu, 07 Aug 2014 12:31:09 -0400

babeltrace (1.2.2-1) unstable; urgency=medium

  * [5a68ab5] New upstream version 1.2.2
  * [937cdae] Include upstream patch to remove unaligned access
    (Closes: #751336)

 -- Jon Bernard <jbernard@debian.org>  Tue, 05 Aug 2014 16:52:47 -0400

babeltrace (1.2.1-2) unstable; urgency=low

  * [8d1ee8f] Update copyright to include LGPL for list.h (Closes: #742680)

 -- Jon Bernard <jbernard@debian.org>  Wed, 26 Mar 2014 09:29:26 -0400

babeltrace (1.2.1-1) unstable; urgency=low

  * [17c6f0c] New upstream version 1.2.1
  * [1e549f1] Bump soname for libbabeltrace and libbabeltrace-ctf
  * [e4d154f] Include pkgconfig files in dev packages
  * [8eb9045] Include new files in libbabeltrace-dev
  * [71c9647] Include additional documentation in babeltrace package
  * [dd5efa4] Bump standards version, no changes necessary
  * [e460f96] Update VCS fields to make lintian happy

 -- Jon Bernard <jbernard@debian.org>  Sun, 16 Mar 2014 11:15:03 -0400

babeltrace (1.1.1-1) unstable; urgency=low

  * [e2b91f6] New upstream version 1.1.1
  * [7b4cc10] Bump Standards-Version to 3.9.4, no changes necessary
  * [a93cd1a] Use dh-autoreconf to update autotools helper files
  * [1ebda71] Prevent hiding of gcc commandline arguments
  * [9854a5a] Remove backported kfreebsd patch, included upstream
  * [135640f] Inlcude new metadata plugin in ctf package
  * [45eb557] Update libbabeltrace-ctf symbols file

 -- Jon Bernard <jbernard@debian.org>  Sat, 10 Aug 2013 20:14:59 -0400

babeltrace (1.1.0-2) unstable; urgency=low

  * [d02363c] Include upstream fix for FTBFS on GNU/FreeBSD.
    Thanks to Petr Salinger (Closes: #705827)
  * [0887037] Add symbols files for libbabeltrace0 and libbabeltrace-ctf0

 -- Jon Bernard <jbernard@debian.org>  Sat, 11 May 2013 22:18:14 -0400

babeltrace (1.1.0-1) unstable; urgency=low

  * [a457ed8] New upstream version 1.1.0

 -- Jon Bernard <jbernard@debian.org>  Tue, 02 Apr 2013 15:49:18 -0400

babeltrace (1.0.3-1) unstable; urgency=low

  * [319bfce] New upstream version 1.0.3

 -- Jon Bernard <jbernard@debian.org>  Tue, 29 Jan 2013 10:29:42 -0500

babeltrace (1.0.2-1) unstable; urgency=low

  * [2adeefa] New upstream version 1.0.2

 -- Jon Bernard <jbernard@debian.org>  Sun, 20 Jan 2013 17:08:07 -0500

babeltrace (1.0.0-1) unstable; urgency=low

  * [b518b33] New upstream version 1.0.0

 -- Jon Bernard <jbernard@debian.org>  Sat, 27 Oct 2012 13:36:47 -0400

babeltrace (1.0.0~rc6-1) unstable; urgency=low

  * [511e498] New upstream version 1.0.0~rc6

 -- Jon Bernard <jbernard@debian.org>  Thu, 18 Oct 2012 17:02:30 -0400

babeltrace (1.0.0~rc5-1) unstable; urgency=low

  * [a467b75] New upstream version 1.0.0~rc5
  * [6f7518a] Update header references in libbabeltrace-dev.install

 -- Jon Bernard <jbernard@debian.org>  Tue, 11 Sep 2012 15:14:28 -0400

babeltrace (1.0.0~rc4-1) unstable; urgency=low

  * Initial release (Closes: #680789)

 -- Jon Bernard <jbernard@debian.org>  Sun, 08 Jul 2012 14:15:43 -0400
